Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.categorization.model
Interface VCategorizationPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VCategorizationPackageImpl

    public interface VCategorizationPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VCategorizationFactory`

Nested Class Summary
`static interface` | `VCategorizationPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `ABSTRACT_CATEGORIZATION` The meta object id for the ' `Abstract Categorization`' class.
`static int` | `ABSTRACT_CATEGORIZATION__ACTIONS` The feature id for the 'Actions' containment reference list.
`static int` | `ABSTRACT_CATEGORIZATION__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `ABSTRACT_CATEGORIZATION__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `ABSTRACT_CATEGORIZATION__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `ABSTRACT_CATEGORIZATION__LABEL_OBJECT` The feature id for the 'Label Object' reference.
`static int` | `ABSTRACT_CATEGORIZATION__NAME` The feature id for the 'Name' attribute.
`static int` | `ABSTRACT_CATEGORIZATION__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `ABSTRACT_CATEGORIZATION__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `ABSTRACT_CATEGORIZATION_FEATURE_COUNT` The number of structural features of the 'Abstract Categorization' class.
`static int` | `ACTION` The meta object id for the '`Action`' class.
`static int` | `ACTION__BUNDLE` The feature id for the 'Bundle' attribute.
`static int` | `ACTION__CLASS_NAME` The feature id for the 'Class Name' attribute.
`static int` | `ACTION_FEATURE_COUNT` The number of structural features of the 'Action' class.
`static int` | `CATEGORIZABLE_ELEMENT` The meta object id for the ' `Categorizable Element`' class.
`static int` | `CATEGORIZABLE_ELEMENT__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `CATEGORIZABLE_ELEMENT__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `CATEGORIZABLE_ELEMENT__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `CATEGORIZABLE_ELEMENT__LABEL_OBJECT` The feature id for the 'Label Object' reference.
`static int` | `CATEGORIZABLE_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` | `CATEGORIZABLE_ELEMENT__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `CATEGORIZABLE_ELEMENT__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `CATEGORIZABLE_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Categorizable Element' class.
`static int` | `CATEGORIZATION` The meta object id for the '`Categorization`' class.
`static int` | `CATEGORIZATION__ACTIONS` The feature id for the 'Actions' containment reference list.
`static int` | `CATEGORIZATION__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `CATEGORIZATION__CATEGORIZATIONS` The feature id for the 'Categorizations' containment reference list.
`static int` | `CATEGORIZATION__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `CATEGORIZATION__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `CATEGORIZATION__LABEL_OBJECT` The feature id for the 'Label Object' reference.
`static int` | `CATEGORIZATION__NAME` The feature id for the 'Name' attribute.
`static int` | `CATEGORIZATION__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `CATEGORIZATION__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `CATEGORIZATION_ELEMENT` The meta object id for the ' `Element`' class.
`static int` | `CATEGORIZATION_ELEMENT__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `CATEGORIZATION_ELEMENT__CATEGORIZATIONS` The feature id for the 'Categorizations' containment reference list.
`static int` | `CATEGORIZATION_ELEMENT__CURRENT_SELECTION` The feature id for the 'Current Selection' reference.
`static int` | `CATEGORIZATION_ELEMENT__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `CATEGORIZATION_ELEMENT__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `CATEGORIZATION_ELEMENT__MAIN_CATEGORY_DEPTH` The feature id for the 'Main Category Depth' attribute.
`static int` | `CATEGORIZATION_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` | `CATEGORIZATION_ELEMENT__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `CATEGORIZATION_ELEMENT__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `CATEGORIZATION_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Element' class.
`static int` | `CATEGORIZATION_FEATURE_COUNT` The number of structural features of the 'Categorization' class.
`static int` | `CATEGORY` The meta object id for the '`Category`' class.
`static int` | `CATEGORY__ACTIONS` The feature id for the 'Actions' containment reference list.
`static int` | `CATEGORY__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `CATEGORY__COMPOSITE` The feature id for the 'Composite' containment reference.
`static int` | `CATEGORY__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `CATEGORY__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `CATEGORY__LABEL_OBJECT` The feature id for the 'Label Object' reference.
`static int` | `CATEGORY__NAME` The feature id for the 'Name' attribute.
`static int` | `CATEGORY__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `CATEGORY__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `CATEGORY_FEATURE_COUNT` The number of structural features of the 'Category' class.
`static VCategorizationPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getAbstractCategorization_Actions()` Returns the meta object for the containment reference list ' `Actions`'.
`org.eclipse.emf.ecore.EClass` | `getAbstractCategorization()` Returns the meta object for class ' `Abstract Categorization`'.
`org.eclipse.emf.ecore.EAttribute` | `getAction_Bundle()` Returns the meta object for the attribute ' `Bundle`'.
`org.eclipse.emf.ecore.EAttribute` | `getAction_ClassName()` Returns the meta object for the attribute ' `Class Name`'.
`org.eclipse.emf.ecore.EClass` | `getAction()` Returns the meta object for class '`Action`'.
`org.eclipse.emf.ecore.EReference` | `getCategorizableElement_LabelObject()` Returns the meta object for the reference ' `Label Object`'.
`org.eclipse.emf.ecore.EClass` | `getCategorizableElement()` Returns the meta object for class ' `Categorizable Element`'.
`org.eclipse.emf.ecore.EReference` | `getCategorization_Categorizations()` Returns the meta object for the containment reference list ' `Categorizations`'.
`org.eclipse.emf.ecore.EClass` | `getCategorization()` Returns the meta object for class '`Categorization`'.
`org.eclipse.emf.ecore.EReference` | `getCategorizationElement_Categorizations()` Returns the meta object for the containment reference list ' `Categorizations`'.
`org.eclipse.emf.ecore.EReference` | `getCategorizationElement_CurrentSelection()` Returns the meta object for the reference ' `Current Selection`'.
`org.eclipse.emf.ecore.EAttribute` | `getCategorizationElement_MainCategoryDepth()` Returns the meta object for the attribute ' `Main Category Depth`'.
`org.eclipse.emf.ecore.EClass` | `getCategorizationElement()` Returns the meta object for class ' `Element`'.
`VCategorizationFactory` | `getCategorizationFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getCategory_Composite()` Returns the meta object for the containment reference ' `Composite`'.
`org.eclipse.emf.ecore.EClass` | `getCategory()` Returns the meta object for class '`Category`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VCategorizationPackage eINSTANCE

  The singleton instance of the package.

### ABSTRACT_CATEGORIZATION

    static final int ABSTRACT_CATEGORIZATION

  The meta object id for the ' `Abstract Categorization`' class.

  See Also:
    `VAbstractCategorizationImpl`, `VCategorizationPackageImpl.getAbstractCategorization()`, Constant Field Values

### CATEGORIZATION

    static final int CATEGORIZATION

  The meta object id for the '`Categorization`' class.

  See Also:
    `VCategorizationImpl`, `VCategorizationPackageImpl.getCategorization()`, Constant Field Values

### CATEGORY

    static final int CATEGORY

  The meta object id for the '`Category`' class.

  See Also:
    `VCategoryImpl`, `VCategorizationPackageImpl.getCategory()`, Constant Field Values

### ACTION

    static final int ACTION

  The meta object id for the '`Action`' class.

  See Also:
    `VActionImpl`, `VCategorizationPackageImpl.getAction()`, Constant Field Values

### CATEGORIZATION_ELEMENT

    static final int CATEGORIZATION_ELEMENT

  The meta object id for the ' `Element`' class.

  See Also:
    `VCategorizationElementImpl`, `VCategorizationPackageImpl.getCategorizationElement()`, Constant Field Values

### CATEGORIZABLE_ELEMENT

    static final int CATEGORIZABLE_ELEMENT

  The meta object id for the ' `Categorizable Element`' class.

  See Also:
    `VCategorizableElementImpl`, `VCategorizationPackageImpl.getCategorizableElement()`, Constant Field Values

### CATEGORIZABLE_ELEMENT__NAME

    static final int CATEGORIZABLE_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CATEGORIZABLE_ELEMENT__VISIBLE

    static final int CATEGORIZABLE_ELEMENT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### CATEGORIZABLE_ELEMENT__ENABLED

    static final int CATEGORIZABLE_ELEMENT__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### CATEGORIZABLE_ELEMENT__READONLY

    static final int CATEGORIZABLE_ELEMENT__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### CATEGORIZABLE_ELEMENT__DIAGNOSTIC

    static final int CATEGORIZABLE_ELEMENT__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### CATEGORIZABLE_ELEMENT__ATTACHMENTS

    static final int CATEGORIZABLE_ELEMENT__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### CATEGORIZABLE_ELEMENT__LABEL_OBJECT

    static final int CATEGORIZABLE_ELEMENT__LABEL_OBJECT

  The feature id for the 'Label Object' reference.

  See Also:
    Constant Field Values

### CATEGORIZABLE_ELEMENT_FEATURE_COUNT

    static final int CATEGORIZABLE_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Categorizable Element' class.

  See Also:
    Constant Field Values

### ABSTRACT_CATEGORIZATION__NAME

    static final int ABSTRACT_CATEGORIZATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ABSTRACT_CATEGORIZATION__VISIBLE

    static final int ABSTRACT_CATEGORIZATION__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### ABSTRACT_CATEGORIZATION__ENABLED

    static final int ABSTRACT_CATEGORIZATION__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### ABSTRACT_CATEGORIZATION__READONLY

    static final int ABSTRACT_CATEGORIZATION__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### ABSTRACT_CATEGORIZATION__DIAGNOSTIC

    static final int ABSTRACT_CATEGORIZATION__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### ABSTRACT_CATEGORIZATION__ATTACHMENTS

    static final int ABSTRACT_CATEGORIZATION__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### ABSTRACT_CATEGORIZATION__LABEL_OBJECT

    static final int ABSTRACT_CATEGORIZATION__LABEL_OBJECT

  The feature id for the 'Label Object' reference.

  See Also:
    Constant Field Values

### ABSTRACT_CATEGORIZATION__ACTIONS

    static final int ABSTRACT_CATEGORIZATION__ACTIONS

  The feature id for the 'Actions' containment reference list.

  See Also:
    Constant Field Values

### ABSTRACT_CATEGORIZATION_FEATURE_COUNT

    static final int ABSTRACT_CATEGORIZATION_FEATURE_COUNT

  The number of structural features of the 'Abstract Categorization' class.

  See Also:
    Constant Field Values

### CATEGORIZATION__NAME

    static final int CATEGORIZATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CATEGORIZATION__VISIBLE

    static final int CATEGORIZATION__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### CATEGORIZATION__ENABLED

    static final int CATEGORIZATION__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### CATEGORIZATION__READONLY

    static final int CATEGORIZATION__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### CATEGORIZATION__DIAGNOSTIC

    static final int CATEGORIZATION__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### CATEGORIZATION__ATTACHMENTS

    static final int CATEGORIZATION__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### CATEGORIZATION__LABEL_OBJECT

    static final int CATEGORIZATION__LABEL_OBJECT

  The feature id for the 'Label Object' reference.

  See Also:
    Constant Field Values

### CATEGORIZATION__ACTIONS

    static final int CATEGORIZATION__ACTIONS

  The feature id for the 'Actions' containment reference list.

  See Also:
    Constant Field Values

### CATEGORIZATION__CATEGORIZATIONS

    static final int CATEGORIZATION__CATEGORIZATIONS

  The feature id for the 'Categorizations' containment reference list.

  See Also:
    Constant Field Values

### CATEGORIZATION_FEATURE_COUNT

    static final int CATEGORIZATION_FEATURE_COUNT

  The number of structural features of the 'Categorization' class.

  See Also:
    Constant Field Values

### CATEGORY__NAME

    static final int CATEGORY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CATEGORY__VISIBLE

    static final int CATEGORY__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### CATEGORY__ENABLED

    static final int CATEGORY__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### CATEGORY__READONLY

    static final int CATEGORY__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### CATEGORY__DIAGNOSTIC

    static final int CATEGORY__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### CATEGORY__ATTACHMENTS

    static final int CATEGORY__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### CATEGORY__LABEL_OBJECT

    static final int CATEGORY__LABEL_OBJECT

  The feature id for the 'Label Object' reference.

  See Also:
    Constant Field Values

### CATEGORY__ACTIONS

    static final int CATEGORY__ACTIONS

  The feature id for the 'Actions' containment reference list.

  See Also:
    Constant Field Values

### CATEGORY__COMPOSITE

    static final int CATEGORY__COMPOSITE

  The feature id for the 'Composite' containment reference.

  See Also:
    Constant Field Values

### CATEGORY_FEATURE_COUNT

    static final int CATEGORY_FEATURE_COUNT

  The number of structural features of the 'Category' class.

  See Also:
    Constant Field Values

### ACTION__BUNDLE

    static final int ACTION__BUNDLE

  The feature id for the 'Bundle' attribute.

  See Also:
    Constant Field Values

### ACTION__CLASS_NAME

    static final int ACTION__CLASS_NAME

  The feature id for the 'Class Name' attribute.

  See Also:
    Constant Field Values

### ACTION_FEATURE_COUNT

    static final int ACTION_FEATURE_COUNT

  The number of structural features of the 'Action' class.

  See Also:
    Constant Field Values

### CATEGORIZATION_ELEMENT__NAME

    static final int CATEGORIZATION_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CATEGORIZATION_ELEMENT__VISIBLE

    static final int CATEGORIZATION_ELEMENT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### CATEGORIZATION_ELEMENT__ENABLED

    static final int CATEGORIZATION_ELEMENT__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### CATEGORIZATION_ELEMENT__READONLY

    static final int CATEGORIZATION_ELEMENT__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### CATEGORIZATION_ELEMENT__DIAGNOSTIC

    static final int CATEGORIZATION_ELEMENT__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### CATEGORIZATION_ELEMENT__ATTACHMENTS

    static final int CATEGORIZATION_ELEMENT__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### CATEGORIZATION_ELEMENT__CATEGORIZATIONS

    static final int CATEGORIZATION_ELEMENT__CATEGORIZATIONS

  The feature id for the 'Categorizations' containment reference list.

  See Also:
    Constant Field Values

### CATEGORIZATION_ELEMENT__CURRENT_SELECTION

    static final int CATEGORIZATION_ELEMENT__CURRENT_SELECTION

  The feature id for the 'Current Selection' reference.

  See Also:
    Constant Field Values

### CATEGORIZATION_ELEMENT__MAIN_CATEGORY_DEPTH

    static final int CATEGORIZATION_ELEMENT__MAIN_CATEGORY_DEPTH

  The feature id for the 'Main Category Depth' attribute.

  See Also:
    Constant Field Values

### CATEGORIZATION_ELEMENT_FEATURE_COUNT

    static final int CATEGORIZATION_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Element' class.

  See Also:
    Constant Field Values

Method Detail

### getAbstractCategorization

    org.eclipse.emf.ecore.EClass getAbstractCategorization()

  Returns the meta object for class ' `Abstract Categorization`'.

  Returns:
    the meta object for class 'Abstract Categorization'.
  See Also:
    `VAbstractCategorization`

### getAbstractCategorization_Actions

    org.eclipse.emf.ecore.EReference getAbstractCategorization_Actions()

  Returns the meta object for the containment reference list ' `Actions`'.

  Returns:
    the meta object for the containment reference list 'Actions'.
  See Also:
    `VAbstractCategorization.getActions()`, `getAbstractCategorization()`

### getCategorization

    org.eclipse.emf.ecore.EClass getCategorization()

  Returns the meta object for class '`Categorization`'.

  Returns:
    the meta object for class 'Categorization'.
  See Also:
    `VCategorization`

### getCategorization_Categorizations

    org.eclipse.emf.ecore.EReference getCategorization_Categorizations()

  Returns the meta object for the containment reference list ' `Categorizations`'.

  Returns:
    the meta object for the containment reference list 'Categorizations'.
  See Also:
    `VCategorization.getCategorizations()`, `getCategorization()`

### getCategory

    org.eclipse.emf.ecore.EClass getCategory()

  Returns the meta object for class '`Category`'.

  Returns:
    the meta object for class 'Category'.
  See Also:
    `VCategory`

### getCategory_Composite

    org.eclipse.emf.ecore.EReference getCategory_Composite()

  Returns the meta object for the containment reference ' `Composite`'.

  Returns:
    the meta object for the containment reference 'Composite'.
  See Also:
    `VCategory.getComposite()`, `getCategory()`

### getAction

    org.eclipse.emf.ecore.EClass getAction()

  Returns the meta object for class '`Action`'.

  Returns:
    the meta object for class 'Action'.
  See Also:
    `VAction`

### getAction_Bundle

    org.eclipse.emf.ecore.EAttribute getAction_Bundle()

  Returns the meta object for the attribute ' `Bundle`'.

  Returns:
    the meta object for the attribute 'Bundle'.
  See Also:
    `VAction.getBundle()`, `getAction()`

### getAction_ClassName

    org.eclipse.emf.ecore.EAttribute getAction_ClassName()

  Returns the meta object for the attribute ' `Class Name`'.

  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `VAction.getClassName()`, `getAction()`

### getCategorizationElement

    org.eclipse.emf.ecore.EClass getCategorizationElement()

  Returns the meta object for class ' `Element`'.

  Returns:
    the meta object for class 'Element'.
  See Also:
    `VCategorizationElement`

### getCategorizationElement_Categorizations

    org.eclipse.emf.ecore.EReference getCategorizationElement_Categorizations()

  Returns the meta object for the containment reference list ' `Categorizations`'.

  Returns:
    the meta object for the containment reference list 'Categorizations'.
  See Also:
    `VCategorizationElement.getCategorizations()`, `getCategorizationElement()`

### getCategorizationElement_CurrentSelection

    org.eclipse.emf.ecore.EReference getCategorizationElement_CurrentSelection()

  Returns the meta object for the reference ' `Current Selection`'.

  Returns:
    the meta object for the reference 'Current Selection'.
  See Also:
    `VCategorizationElement.getCurrentSelection()`, `getCategorizationElement()`

### getCategorizationElement_MainCategoryDepth

    org.eclipse.emf.ecore.EAttribute getCategorizationElement_MainCategoryDepth()

  Returns the meta object for the attribute ' `Main Category Depth`'.

  Returns:
    the meta object for the attribute 'Main Category Depth'.
  See Also:
    `VCategorizationElement.getMainCategoryDepth()`, `getCategorizationElement()`

### getCategorizableElement

    org.eclipse.emf.ecore.EClass getCategorizableElement()

  Returns the meta object for class ' `Categorizable Element`'.

  Returns:
    the meta object for class 'Categorizable Element'.
  See Also:
    `VCategorizableElement`

### getCategorizableElement_LabelObject

    org.eclipse.emf.ecore.EReference getCategorizableElement_LabelObject()

  Returns the meta object for the reference ' `Label Object`'.

  Returns:
    the meta object for the reference 'Label Object'.
  See Also:
    `VCategorizableElement.getLabelObject()`, `getCategorizableElement()`

### getCategorizationFactory

    VCategorizationFactory getCategorizationFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.